use elastic::parser;
use elastic::{compiler::compile, lexer};

use std::env;

fn main() -> std::io::Result<()> {
    let args: Vec<String> = env::args().into_iter().skip(1).collect();
    let input = args.join(" ");
    let tokens = lexer::scan(&input)?;
    let select = parser::parse(tokens)?;
    let result = compile(select)?;

    println!("{}", result);

    Ok(())
}
